# Abb. 108, 110, 114 (Mafobuch, Statistische Tafeln im Anhang)
library(ggrepel); library(msos); setwd("C:/Users/Alpha/Desktop/R")

# Tab. 1: Einseitige Normalverteilung 
pdf(file="pdf/Abb108.pdf",width=11.7/2.54, height=5/2.54)
x = seq(-3, 3, length=1000); y = dnorm(x,0,1)
Data=as.data.frame(cbind(x,y)); l=0.25; 
Data$z=0; Data$z[1:600]=Data$y[1:600]; x0=Data$x[600]; y0=Data$y[600]
ggplot(Data,aes(x=x,y=y)) + 
  geom_ribbon(aes(y=z,ymin=0,ymax=z),fill="grey") +
  geom_segment(aes(x=-0.3,y=0.1,xend=-1.3,yend=0.35),linetype="solid",size=0.25) +
  annotate("text",x=-1.5,y=0.375,parse=TRUE,label="Phi(z)",size=3) +
  annotate("text",x=-2.8,y=0.475,parse=TRUE,label="phi(z)",size=3) +
  geom_segment(aes(x=x0,y=0,xend=x0+0.15,yend=0.05),linetype="solid",size=0.25) +
  annotate("text",x=x0+0.225,y=0.075,parse=TRUE,label="z",size=3) +
  geom_line(aes(y=y),size=l) +
  geom_line(aes(y=z),size=l) +
  theme_classic(base_size = 9) +
  labs(parse=TRUE,x="Standardnormalverteilte Zufallsvariable z",y=" ")+
  theme(axis.title.x = element_text(size=9)) +
  theme(axis.text.x = element_text(size=9)) +
  theme(axis.line.x = element_line(size=0.25)) + 
  theme(axis.line.y = element_line(size=0.25)) + 
  theme(axis.ticks = element_line(size=0.25)) + 
  theme(axis.title.y = element_text(size=9)) + 
  theme(axis.text.y = element_text(size = 9)) +
  theme(legend.position = "none") +
  expand_limits(x=-3, y=0) + expand_limits(x=-3,y=0.51) + 
  scale_x_continuous(expand = c(0, 0)) + 
  scale_y_continuous(expand = c(0, 0)) 
dev.off() 

# Tab. 2: Zweiseitige Normalverteilung 
pdf(file="pdf/Abb110.pdf",width=11.7/2.54, height=5/2.54)
x = seq(-3, 3, length=1000); y = dnorm(x,0,1)
Data=as.data.frame(cbind(x,y)); l=0.25; 
Data$z=0; Data$z[400:600]=Data$y[400:600]; x0=Data$x[600]; y0=Data$y[600]
ggplot(Data,aes(x=x,y=y)) + 
  geom_ribbon(aes(y=z,ymin=0,ymax=z),fill="grey") +
  geom_segment(aes(x=-0.3,y=0.1,xend=-1.3,yend=0.35),linetype="solid",size=0.25) +
  annotate("text",x=-1.5,y=0.375,parse=TRUE,label="D(z)",size=3) +
  annotate("text",x=-2.8,y=0.475,parse=TRUE,label="phi(z)",size=3) +
  geom_segment(aes(x=x0,y=0,xend=x0+0.15,yend=0.05),linetype="solid",size=0.25) +
  annotate("text",x=x0+0.225,y=0.075,parse=TRUE,label="z",size=3) +
  geom_line(aes(y=y),size=l) +
  geom_line(aes(y=z),size=l) +
  theme_classic(base_size = 9) +
  labs(parse=TRUE,x="Standardnormalverteilte Zufallsvariable z",y=" ")+
  theme(axis.title.x = element_text(size=9)) +
  theme(axis.text.x = element_text(size=9)) +
  theme(axis.line.x = element_line(size=0.25)) + 
  theme(axis.line.y = element_line(size=0.25)) + 
  theme(axis.ticks = element_line(size=0.25)) + 
  theme(axis.title.y = element_text(size=9)) + 
  theme(axis.text.y = element_text(size = 9)) +
  theme(legend.position = "none") +
  expand_limits(x=-3, y=0) + expand_limits(x=-3,y=0.51) + 
  scale_x_continuous(expand = c(0, 0)) + 
  scale_y_continuous(expand = c(0, 0)) 
dev.off() 

# Tab. 3: F-Verteilung 
pdf(file="pdf/Abb114.pdf",width=11.7/2.54, height=5/2.54)
x = seq(0, 4, length=1000); y = df(x,8,20)
Data=as.data.frame(cbind(x,y)); l=0.25; 
Data$z=0; Data$z[0:640]=Data$y[0:640]; x0=Data$x[640]; y0=Data$y[640]
ggplot(Data,aes(x=x,y=y)) + 
  geom_ribbon(aes(y=z,ymin=0,ymax=z),fill="grey") +
  annotate("text",x=0.255,y=0.77,parse=TRUE,label="f[F](v,r,s)",size=3) +
  geom_segment(aes(x=x0,y=0,xend=x0,yend=0.15),linetype="solid",size=0.25) +
  annotate("text",x=x0,y=0.175,parse=TRUE,label="v",size=3) +
  
  annotate("text",x=x0+0.7,y=0.15,parse=TRUE,label="alpha~(hier:~0.05)",size=3) +
  geom_segment(aes(x=x0+0.22,y=0.02,xend=x0+0.3,yend=0.1),linetype="solid",size=0.25) +
  annotate("text",x=1.85,y=0.55,parse=TRUE,label="1-alpha~(hier:~0.95)",size=3) +
  geom_segment(aes(x=1.4,y=0.1,xend=1.8,yend=0.5),linetype="solid",size=0.25) +

  geom_line(aes(y=y),size=l) +
  geom_line(aes(y=z),size=l) +
  theme_classic(base_size = 9) +
  labs(parse=TRUE,x="F-verteilte Zufallsvariable v bei r, s Freiheitsgraden",y=" ")+
  theme(axis.title.x = element_text(size=9)) +
  theme(axis.text.x = element_text(size=9)) +
  theme(axis.line.x = element_line(size=0.25)) + 
  theme(axis.line.y = element_line(size=0.25)) + 
  theme(axis.ticks = element_line(size=0.25)) + 
  theme(axis.title.y = element_text(size=9)) + 
  theme(axis.text.y = element_text(size = 9)) +
  theme(legend.position = "none") +
  expand_limits(x=0, y=0) + expand_limits(x=4,y=0.83) + 
  scale_x_continuous(expand = c(0, 0)) + 
  scale_y_continuous(expand = c(0, 0)) 
dev.off() 