# Abbildungen 18 bis 20 (Kap. 3, Mafobuch, Durchdringung)
library(ggrepel); library(msos); setwd("C:/Users/Alpha/Desktop/R")
x=1:8
y=c(2.2,1.8,1.4,0.9,0.4,5.1,3.2,2.3)
Data=as.data.frame(cbind(x,y)); Data$group="y"; Data$color="grey"
Data1=Data; Data1$group="ycum"; Data1$color="white"
Data1$y[1]=0
for (i in 2:8){Data1$y[i]=Data1$y[i-1]+Data$y[i-1]}
Data=rbind(Data1,Data); Data
pdf(file="pdf/Abb18.pdf",width=11.7/2.54, height=6.7/2.54)
ggplot(data=Data,aes(x=x,y=y)) +
  geom_bar(colour="black",size=0.25,stat="identity",width=0.9,fill=Data$color) +
#  geom_segment(aes(x=1,y=0,xend=6,yend=10),linetype="solid",size=0.25)+
  theme_classic(base_size = 9) +
  theme(axis.line.y=element_line(color='black',size=0.25))+
  theme(axis.line.x=element_line(color='black',size=0.25))+
  theme(axis.ticks=element_line(color='black',size=0.25)) + 
  xlab("Einkaufsintervalle") + ylab("Erstkufer kum. in % der Haushalte") +
  scale_x_continuous(breaks=1:8,labels=c("1"="Jan.","2"="Feb.","3"="Mar.","4"="Apr.",
                            "5"="Mai","6"="Jun.","7"="Jul.","8"="Aug."))
dev.off()

x=1:6
y1=6*log(x+1)*12/11.675461; y=y1; for (i in 2:6){y[i]=y1[i]-y1[i-1]}
Data=as.data.frame(cbind(x,y)); Data$group="y"; Data$color="grey"
Data1=Data; Data1$group="ycum"; Data1$color="white"
Data1$y[1]=0
for (i in 2:6){Data1$y[i]=Data1$y[i-1]+Data$y[i-1]}
Data=rbind(Data1,Data); Data
pdf(file="pdf/Abb19.pdf",width=11.7/2.54, height=6.7/2.54)
ggplot(data=Data,aes(x=x,y=y)) +
  geom_bar(colour="black",size=0.25,stat="identity",width=0.9,fill=Data$color) +
  geom_segment(aes(x=0,y=0,xend=0.55,yend=y1[1]),linetype="solid",size=0.25)+
  geom_segment(aes(x=0.55,y=y1[1],xend=1.55,yend=y1[2]),linetype="solid",size=0.25)+
  geom_segment(aes(x=1.55,y=y1[2],xend=2.55,yend=y1[3]),linetype="solid",size=0.25)+
  geom_segment(aes(x=2.55,y=y1[3],xend=3.55,yend=y1[4]),linetype="solid",size=0.25)+
  geom_segment(aes(x=3.55,y=y1[4],xend=4.55,yend=y1[5]),linetype="solid",size=0.25)+
  geom_segment(aes(x=4.55,y=y1[5],xend=5.55,yend=y1[6]),linetype="solid",size=0.25)+
  geom_segment(aes(x=5.55,y=y1[6],xend=6.8,yend=y1[6]),linetype="solid",size=0.25)+
  annotate("text",x=7.1,y=y1[6],parse=FALSE,label="12 %",size=2.5) +
  theme_classic(base_size = 9) +
  theme(axis.line.y=element_line(color='black',size=0.25))+
  theme(axis.line.x=element_line(color='black',size=0.25))+
  theme(axis.ticks=element_line(color='black',size=0.25)) + 
  xlab("Einkaufsintervalle") + ylab("Erstkufer kum. in % der Haushalte") +
  scale_x_continuous(breaks=1:6)
dev.off()


x=1:5; y=50+25/x
Data=as.data.frame(cbind(x,y)); Data$color="white"
pdf(file="pdf/Abb20.pdf",width=11.7/2.54, height=6.7/2.54)
ggplot(data=Data,aes(x=x,y=y)) +
  geom_bar(colour="black",size=0.25,stat="identity",width=0.9,fill=Data$color) +
  geom_segment(aes(x=0.45,y=100,xend=1.45,yend=y[1]),linetype="solid",size=0.25)+
  geom_segment(aes(x=1.45,y=y[1],xend=2.45,yend=y[2]),linetype="solid",size=0.25)+
  geom_segment(aes(x=2.45,y=y[2],xend=3.45,yend=y[3]),linetype="solid",size=0.25)+
  geom_segment(aes(x=3.45,y=y[3],xend=4.45,yend=y[4]),linetype="solid",size=0.25)+
  geom_segment(aes(x=4.45,y=y[4],xend=5.45,yend=y[5]),linetype="solid",size=0.25)+
  geom_segment(aes(x=5.45,y=y[5],xend=5.80,yend=y[5]),linetype="solid",size=0.25)+
  annotate("text",x=6,y=y[5],parse=FALSE,label="50 %",size=2.5) +
  theme_classic(base_size = 9) +
  theme(axis.line.y=element_line(color='black',size=0.25))+
  theme(axis.line.x=element_line(color='black',size=0.25))+
  theme(axis.ticks=element_line(color='black',size=0.25)) + 
  xlab("Einkaufsintervalle") + ylab("Wiederkufer kum. in % der Haushalte") +
  scale_x_continuous(breaks=1:5)
dev.off()
