# Kapitel 7.2.2 Statistische Kennwerte empirischer Hufigkeitsverteilungen
library(ggrepel); library(msos); setwd("C:/Users/Alpha/Desktop/R")
Data=read.csv("Beispiel1.csv",header=TRUE,sep=";",dec=",")
n=dim(Data)[1]

# Mittelwert Kinder
MW=13*0+7*1+7*2+5*3+4*4; MW
MW=MW/36; MW
mean(Data$Kinder)
# Mittelwert Umsatz
MW=8*12.5+11*37.5+6*62.5+6*87.5+4*112.5+1*137.5; MW
MW=MW/36; MW
mean(Data$Umsatz)
# Median
sort(Data$Kinder)
sort(Data$Kinder)[18]
sort(Data$Kinder)[19]

# Abbildung zu den Verteilungen (linkssteil usw.) 
pdf(file="pdf/Abb59.pdf",width=11.7/2.54, height=5/2.54)
# Rechtssteile Verteilung
x = seq(0, 3, length=1000); y1=df(x,8,20); x=-x; x=x-2
d=as.data.frame(cbind(x,y1)); d=d[order(x),]; x=d$x; y1=d$y1; z1=0
d1=as.data.frame(cbind(x,y1,z1)); d1$y2=NA; d1$y3=NA; d1$z2=NA; d1$z3=NA
maxy1=max(y1); maxx1=x[imax(y1)] # Modaler Wert (Max. der Dichte)
masse=y1[1000]; masse2=sum(y1)/2; imedian=1000 # Median (Masse links 50%) 
for (i in 999:1){ 
  if (masse<masse2){masse=masse+y1[i]; imedian=i}
}; medianx1=x[imedian]; mediany1=y1[imedian]
meanx0=sum(x*y1)/sum(y1); meanx1=x[1000]; imean=1000 # Erwartungswert/Mittel
for (i in 999:1){
  if (meanx1>meanx0){imean=i; meanx1=x[i]}
}; meany1=y1[imean]

# Symmetrische Verteilung
x = seq(-1.5, 1.5, length=1000); y2 = dnorm(x,0,0.5); z2=0
d2=as.data.frame(cbind(x,y2,z2)); d2$y1=NA; d2$y3=NA; d2$z1=NA; d2$z3=NA
maxy2=max(y2); maxx2=x[imax(y2)] # Modaler Wert (Max. der Dichte)
masse=y2[1000]; masse2=sum(y2)/2; imedian=1000 # Median (Masse links 50%) 
for (i in 999:1){ 
  if (masse<masse2){masse=masse+y2[i]; imedian=i}
}; medianx2=x[imedian]; mediany2=y2[imedian]
meanx0=sum(x*y2)/sum(y2); meanx2=x[1000]; imean=1000 # Erwartungswert/Mittel
for (i in 999:1){
  if (meanx2>meanx0){imean=i; meanx2=x[i]}
}; meany2=y2[imean]

# Linkssteile Verteilung
x = seq(0, 3, length=1000); y3=df(x,8,20); x=x+2; z3=0 
d3=as.data.frame(cbind(x,y3,z3)); d3$y1=NA; d3$y2=NA; d3$z1=NA; d3$z2=NA
maxy3=max(y3); maxx3=x[imax(y3)] # Modaler Wert (Max. der Dichte)
masse=y3[1000]; masse2=sum(y3)/2; imedian=1000 # Median (Masse links 50%) 
for (i in 999:1){ 
  if (masse<masse2){masse=masse+y3[i]; imedian=i}
}; medianx3=x[imedian]; mediany3=y3[imedian]
meanx0=sum(x*y3)/sum(y3); meanx3=x[1000]; imean=1000 # Erwartungswert/Mittel
for (i in 999:1){
  if (meanx3>meanx0){imean=i; meanx3=x[i]}
}; meany3=y3[imean]
d=rbind(d1,d2,d3)

l=0.25
ggplot(d,aes(x=x)) + 
  geom_line(aes(y=y1),size=l) + geom_line(aes(y=y2),size=l) + geom_line(aes(y=y3),size=l) +  
  geom_line(aes(y=z1),size=l) + geom_line(aes(y=z2),size=l) + geom_line(aes(y=z3),size=l) +  
  theme_classic(base_size = 9) + 
  theme(axis.line=element_blank(),
        axis.text.x=element_blank(),
        axis.text.y=element_blank(),
        axis.ticks=element_blank(),
        axis.title.x=element_blank(),
        axis.title.y=element_blank(),legend.position="none",
        panel.background=element_blank(),panel.border=element_blank(),panel.grid.major=element_blank(),
        panel.grid.minor=element_blank(),plot.background=element_blank()) +
  geom_segment(aes(x=maxx1,y=-0.02,xend=maxx1,yend=maxy1),linetype="longdash",size=l)+
  geom_segment(aes(x=medianx1,y=-0.02,xend=medianx1,yend=mediany1),linetype="longdash",size=l)+
  geom_segment(aes(x=medianx1,y=-0.02,xend=medianx1,yend=-0.07),linetype="longdash",size=l)+
  geom_segment(aes(x=meanx1,y=-0.02,xend=meanx1,yend=meany1),linetype="longdash",size=l)+
  annotate("text",x=c(maxx1+0.06,medianx1,meanx1-0.09),y=c(-0.07,-0.12,-0.07),size=3.5,
           parse=TRUE,label=c("M", "Z", "bar(x)"))+
  geom_segment(aes(x=medianx2,y=-0.07,xend=medianx2,yend=mediany2),linetype="longdash",size=l)+
  annotate("text",x=c(maxx2+0.3,medianx2,meanx2-0.25),y=c(-0.07,-0.12,-0.07),size=3.5,
           parse=TRUE,label=c("M", "Z", "bar(x)"))+
  geom_segment(aes(x=maxx3,y=-0.02,xend=maxx3,yend=maxy3),linetype="longdash",size=l)+
  geom_segment(aes(x=medianx3,y=-0.02,xend=medianx3,yend=mediany3),linetype="longdash",size=l)+
  geom_segment(aes(x=medianx3,y=-0.02,xend=medianx3,yend=-0.07),linetype="longdash",size=l)+
  geom_segment(aes(x=meanx3,y=-0.02,xend=meanx3,yend=meany3),linetype="longdash",size=l)+
  annotate("text",x=c(maxx3-0.06,medianx3,meanx3+0.12),y=c(-0.07,-0.12,-0.07),size=3.5,
           parse=TRUE,label=c("M", "Z", "bar(x)"))
dev.off() 

# Dispersionsmae (Varianz, Standardabweichung)
n=dim(Data)[1]
var(Data$Haushaltsgre)         # Varianz
sd(Data$Haushaltsgre)          # Standardabweichung
(n-1)/n*var(Data$Haushaltsgre) # Stichprobenvarianz
(n-1)/n*sd(Data$Haushaltsgre)  # Stichprobenstd.
var(Data$Umsatz)         # Varianz
sd(Data$Umsatz)          # Standardabweichung
(n-1)/n*var(Data$Umsatz) # Stichprobenvarianz
(n-1)/n*sd(Data$Umsatz)  # Stichprobenstd.
